## viverrd-0.2.src.tar.bz2

=== Makefile ===
# Makefile for udev
#
# Copyright (C) 2003,2004 Greg Kroah-Hartman <greg@kroah.com>
# Copyright (C) 2004-2005 Kay Sievers <kay.sievers@vrfy.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 2 of the License.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
#

VERSION = 081

# set this to make use of syslog
USE_LOG = true

# compile-in development debug messages
# (export UDEV_LOG="debug" or set udev_log="debug" in udev.conf
#  to print the debug messages to syslog)
DEBUG = false

# compile with gcc's code coverage option
USE_GCOV = false

# include Security-Enhanced Linux support
USE_SELINUX = false

# comile with klibc instead of glibc
USE_KLIBC = false

# set this to create statically linked binaries
USE_STATIC = false

# to build any of the extras programs pass:
#  make EXTRAS="extras/<extra1> extras/<extra2>"
EXTRAS =

# make the build silent. Set this to something else to make it noisy again.
V = false

PROGRAMS = \
	udev				\
	udevd				\
	udevsend			\
	udevcontrol			\
	udevmonitor			\
	udevinfo			\
	udevtest			\
	udevstart

HEADERS = \
	udev.h				\
	udev_rules.h			\
	logging.h			\
	udev_libc_wrapper.h		\
	udev_selinux.h			\
	list.h

UDEV_OBJS = \
	udev_device.o			\
	udev_config.o			\
	udev_add.o			\
	udev_remove.o			\
	udev_db.o			\
	udev_sysfs.o			\
	udev_rules.o			\
	udev_rules_parse.o		\
	udev_utils.o			\
	udev_utils_string.o		\
	udev_utils_file.o		\
	udev_utils_run.o		\
	udev_libc_wrapper.o
LIBUDEV = libudev.a

MAN_PAGES = \
	udev.8				\
	udevmonitor.8			\
	udevd.8				\
	udevsend.8			\
	udevtest.8			\
	udevinfo.8			\
	udevstart.8

# config files automatically generated
GEN_CONFIGS = \
	$(LOCAL_CFG_DIR)/udev.conf

GEN_HEADERS = \
	udev_version.h

prefix =
etcdir =	${prefix}/etc
sbindir =	${prefix}/sbin
usrbindir =	${prefix}/usr/bin
usrsbindir =	${prefix}/usr/sbin
libudevdir =	${prefix}/lib/udev
mandir =	${prefix}/usr/share/man
configdir =	${etcdir}/udev
udevdir =	/dev
LOCAL_CFG_DIR =	etc/udev
DESTDIR =

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA  = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL_PROGRAM}
PWD = $(shell pwd)

CROSS =
CC = $(CROSS)gcc
LD = $(CROSS)gcc
AR = $(CROSS)ar
RANLIB = $(CROSS)ranlib
HOSTCC = gcc
STRIP = $(CROSS)strip
STRIPCMD = $(STRIP) -s

CFLAGS		= -g -Wall -pipe -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64
WARNINGS	= -Wstrict-prototypes -Wsign-compare -Wshadow \
		  -Wchar-subscripts -Wmissing-declarations -Wnested-externs \
		  -Wpointer-arith -Wcast-align -Wsign-compare -Wmissing-prototypes
CFLAGS		+= $(WARNINGS)

LDFLAGS = -Wl,-warn-common

OPTFLAGS = -Os
CFLAGS += $(OPTFLAGS)

ifeq ($(strip $(USE_LOG)),true)
	CFLAGS += -DUSE_LOG
endif

# if DEBUG is enabled, then we do not strip
ifeq ($(strip $(DEBUG)),true)
	CFLAGS  += -DDEBUG
	STRIPCMD =
endif

ifeq ($(strip $(USE_GCOV)),true)
	CFLAGS += -fprofile-arcs -ftest-coverage
	LDFLAGS += -fprofile-arcs
endif

# if our own version of klibc is used, we need to build it
ifeq ($(strip $(USE_KLIBC)),true)
	KLCC		= /usr/bin/$(CROSS)klcc
	CC		= $(KLCC)
	LD		= $(KLCC)
	V = true
endif

ifeq ($(strip $(USE_SELINUX)),true)
	UDEV_OBJS += udev_selinux.o
	LIB_OBJS += -lselinux -lsepol
	CFLAGS += -DUSE_SELINUX
endif

ifeq ($(strip $(USE_STATIC)),true)
	CFLAGS += -DUSE_STATIC
	LDFLAGS += -static
endif

ifeq ($(strip $(V)),false)
	QUIET=@$(PWD)/ccdv
	HOST_PROGS=ccdv
else
	QUIET=
	HOST_PROGS=
endif

all: $(PROGRAMS) $(MAN_PAGES)
	@extras="$(EXTRAS)"; for target in $$extras; do \
		echo $$target; \
		$(MAKE) CC="$(CC)" \
			CFLAGS="$(CFLAGS)" \
			LD="$(LD)" \
			LDFLAGS="$(LDFLAGS)" \
			STRIPCMD="$(STRIPCMD)" \
			LIB_OBJS="$(LIB_OBJS)" \
			LIBUDEV="$(PWD)/$(LIBUDEV)" \
			QUIET="$(QUIET)" \
			-C $$target $@ || exit 1; \
	done;
.PHONY: all
.DEFAULT: all

# clear implicit rules
.SUFFIXES:

# build the objects
%.o: %.c $(HOST_PROGS) $(HEADERS) $(GEN_HEADERS)
	$(QUIET) $(CC) -c $(CFLAGS) $< -o $@

# "Static Pattern Rule" to build all programs
$(PROGRAMS): %: $(HOST_PROGS) $(HEADERS) $(GEN_HEADERS) $(LIBUDEV) %.o
	$(QUIET) $(LD) $(LDFLAGS) $@.o -o $@ $(LIBUDEV) $(LIB_OBJS)
ifneq ($(STRIPCMD),)
	$(QUIET) $(STRIPCMD) $@
endif

$(LIBUDEV): $(HOST_PROGS) $(HEADERS) $(GEN_HEADERS) $(UDEV_OBJS)
	@rm -f $@
	$(QUIET) $(AR) cq $@ $(UDEV_OBJS)
	$(QUIET) $(RANLIB) $@

# generate config files
$(GEN_CONFIGS):
	sed -e "s:@udevdir@:$(udevdir):" -e "s:@configdir@:$(configdir):" < $@.in > $@

# generate config header file
udev_version.h:
	@echo "Creating udev_version.h"
	@echo \#define UDEV_VERSION		\"$(VERSION)\" > $@
	@echo \#define UDEV_ROOT		\"$(udevdir)\" >> $@
	@echo \#define UDEV_CONFIG_FILE		\"$(configdir)/udev.conf\" >> $@
	@echo \#define UDEV_RULES_FILE		\"$(configdir)/rules.d\" >> $@

# man pages
%.8: docs/%.xml
	xmlto man $?
.PRECIOUS: %.8

ccdv: ccdv.c
	@$(HOSTCC) -O1 ccdv.c -o ccdv
.SILENT: ccdv

clean:
	- rm -f $(HOST_PROGS)
	- find . \( -not -type d \) -and \( -name '*~' -o -name '*.[oas]' \) -type f -print0 | xargs -0rt rm -f
	- find -name "*.gcno" -print0 | xargs -0rt rm -f
	- find -name "*.gcda" -print0 | xargs -0rt rm -f
	- find -name "*.gcov" -print0 | xargs -0rt rm -f
	- rm -f udev_gcov.txt
	- rm -f core $(PROGRAMS) $(GEN_HEADERS) $(GEN_CONFIGS)
	- rm -f udev-$(VERSION).tar.gz
	@extras="$(EXTRAS)"; for target in $$extras; do \
		echo $$target; \
		$(MAKE) -C $$target $@ || exit 1; \
	done;
.PHONY: clean

release:
	git-tar-tree HEAD udev-$(VERSION) | gzip -9v > udev-$(VERSION).tar.gz
	@echo "udev-$(VERSION).tar.gz created"
.PHONY: release

install-config: $(GEN_CONFIGS)
	$(INSTALL) -d $(DESTDIR)$(configdir)/rules.d
	@if [ ! -r $(DESTDIR)$(configdir)/udev.conf ]; then \
		echo $(INSTALL_DATA) $(LOCAL_CFG_DIR)/udev.conf $(DESTDIR)$(configdir); \
		$(INSTALL_DATA) $(LOCAL_CFG_DIR)/udev.conf $(DESTDIR)$(configdir); \
	fi
	@if [ ! -r $(DESTDIR)$(configdir)/rules.d/50-udev.rules ]; then \
		echo; \
		echo "pick a udev rules file from the etc/udev directory that matches your distribution"; \
		echo; \
	fi
	@extras="$(EXTRAS)"; for target in $$extras; do \
		echo $$target; \
		$(MAKE) -C $$target $@ || exit 1; \
	done;
.PHONY: install-config

install-man:
	$(INSTALL_DATA) -D udev.8 $(DESTDIR)$(mandir)/man8/udev.8
	$(INSTALL_DATA) -D udevinfo.8 $(DESTDIR)$(mandir)/man8/udevinfo.8
	$(INSTALL_DATA) -D udevtest.8 $(DESTDIR)$(mandir)/man8/udevtest.8
	$(INSTALL_DATA) -D udevstart.8 $(DESTDIR)$(mandir)/man8/udevstart.8
	$(INSTALL_DATA) -D udevd.8 $(DESTDIR)$(mandir)/man8/udevd.8
	$(INSTALL_DATA) -D udevsend.8 $(DESTDIR)$(mandir)/man8/udevsend.8
	$(INSTALL_DATA) -D udevmonitor.8 $(DESTDIR)$(mandir)/man8/udevmonitor.8
	- ln -f -s udevd.8 $(DESTDIR)$(mandir)/man8/udevcontrol.8
	@extras="$(EXTRAS)"; for target in $$extras; do \
		echo $$target; \
		$(MAKE) -C $$target $@ || exit 1; \
	done;
.PHONY: install-man

uninstall-man:
	- rm -f $(DESTDIR)$(mandir)/man8/udev.8
	- rm -f $(DESTDIR)$(mandir)/man8/udevinfo.8
	- rm -f $(DESTDIR)$(mandir)/man8/udevtest.8
	- rm -f $(DESTDIR)$(mandir)/man8/udevstart.8
	- rm -f $(DESTDIR)$(mandir)/man8/udevd.8
	- rm -f $(DESTDIR)$(mandir)/man8/udevmonitor.8
	- rm -f $(DESTDIR)$(mandir)/man8/udevsend.8
	- rm -f $(DESTDIR)$(mandir)/man8/udevcontrol.8
	@extras="$(EXTRAS)"; for target in $$extras; do \
		echo $$target; \
		$(MAKE) -C $$target $@ || exit 1; \
	done;
.PHONY: uninstall-man

install-bin:
	$(INSTALL) -d $(DESTDIR)$(udevdir)
	$(INSTALL_PROGRAM) -D udev $(DESTDIR)$(sbindir)/udev
	$(INSTALL_PROGRAM) -D udevd $(DESTDIR)$(sbindir)/udevd
	$(INSTALL_PROGRAM) -D udevsend $(DESTDIR)$(sbindir)/udevsend
	$(INSTALL_PROGRAM) -D udevcontrol $(DESTDIR)$(sbindir)/udevcontrol
	$(INSTALL_PROGRAM) -D udevmonitor $(DESTDIR)$(usrsbindir)/udevmonitor
	$(INSTALL_PROGRAM) -D udevinfo $(DESTDIR)$(usrbindir)/udevinfo
	$(INSTALL_PROGRAM) -D udevtest $(DESTDIR)$(usrbindir)/udevtest
	$(INSTALL_PROGRAM) -D udevstart $(DESTDIR)$(sbindir)/udevstart
	@extras="$(EXTRAS)"; for target in $$extras; do \
		echo $$target; \
		$(MAKE) -C $$target $@ || exit 1; \
	done;
ifndef DESTDIR
	- killall udevd
	- rm -rf /dev/.udev
	- $(sbindir)/udevd --daemon
endif
.PHONY: install-bin

uninstall-bin:
	- rm -f $(DESTDIR)$(sbindir)/udev
	- rm -f $(DESTDIR)$(sbindir)/udevd
	- rm -f $(DESTDIR)$(sbindir)/udevsend
	- rm -f $(DESTDIR)$(sbindir)/udevcontrol
	- rm -f $(DESTDIR)$(sbindir)/udevstart
	- rm -f $(DESTDIR)$(usrsbindir)/udevmonitor
	- rm -f $(usrbindir)/udevinfo
	- rm -f $(DESTDIR)$(DESTDIR)$(usrbindir)/udevtest
ifndef DESTDIR
	- killall udevd
	- rm -rf /dev/.udev
endif
	@extras="$(EXTRAS)"; for target in $$extras; do \
		echo $$target; \
		$(MAKE) -C $$target $@ || exit 1; \
	done;
.PHONY: uninstall-bin

install: all install-bin install-config install-man
.PHONY: install

uninstall: uninstall-bin uninstall-man
.PHONY: uninstall

test tests: all
	@ cd test && ./udev-test.pl
	@ cd test && ./udevstart-test.pl
.PHONY: test tests

buildtest:
	test/simple-build-check.sh
.PHONY: buildtest

ChangeLog: Makefile
	@ mv $@ $@.tmp
	@ echo "Summary of changes from v$(shell printf '%03i' $$(expr $(VERSION) - 1)) to v$(VERSION)" >> $@
	@ echo "============================================" >> $@
	@ echo >> $@
	@ git log --pretty=short $(shell printf '%03i' $$(expr $(VERSION) - 1))..HEAD | git shortlog  >> $@
	@ echo >> $@
	@ cat $@
	@ cat $@.tmp >> $@
	@ rm $@.tmp

gcov-all:
	$(MAKE) clean all STRIPCMD= USE_GCOV=true
	@echo
	@echo "binaries built with gcov support."
	@echo "run the tests and analyze with 'make udev_gcov.txt'"
.PHONY: gcov-all

# see docs/README-gcov_for_udev
udev_gcov.txt: $(wildcard *.gcda) $(wildcard *.gcno)
	for file in `find -maxdepth 1 -name "*.gcno"`; do \
		name=`basename $$file .gcno`; \
		echo "################" >> $@; \
		echo "$$name.c" >> $@; \
		echo "################" >> $@; \
		if [ -e "$$name.gcda" ]; then \
			gcov -l "$$name.c" >> $@ 2>&1; \
		else \
			echo "code for $$name.c was never executed" >> $@ 2>&1; \
		fi; \
		echo >> $@; \
	done; \
	echo "view $@ for the result"

=== binsource/Makefile ===
SUBDIR = busybox cowloop device-mapper cryptsetup-luks hwsetup mdadm nbd shfs sysvinit udev util-linux

all: $(SUBDIR)
	for dir in $^;do make -C $$dir; done

clean: $(SUBDIR)
	for dir in $^;do make -C $$dir clean; done

realclean: $(SUBDIR)
	for dir in $^;do make -C $$dir realclean; done

=== binsource/busybox/Makefile ===
VERSION = 1.01
SITE = http://www.busybox.net/downloads
DOWNLODER = curl -O

all: busybox

busybox: busybox-$(VERSION) config-$(VERSION).conf
	cp config-$(VERSION).conf busybox-$(VERSION)/.config
	make -C busybox-$(VERSION) oldconfig
	make -C busybox-$(VERSION)
	ln -s busybox-$(VERSION)/busybox

busybox-$(VERSION): busybox-$(VERSION).tar.bz2
	tar xjf $<

busybox-$(VERSION).tar.bz2:
	$(DOWNLODER) $(SITE)/$@

.PHONY: clean realclean
clean:
	rm -f busybox
	rm -rf busybox-$(VERSION)

realclean: clean
	rm -rf busybox-$(VERSION).tar.bz2

=== binsource/cowloop/Makefile ===
VERSION = 2.15
SITE = http://www.atconsultancy.nl/cowloop/packages
DOWNLODER = curl -O

all: cowdev cowrepair

cowdev: cowloop-$(VERSION)
	make -C cowloop-$(VERSION) cowdev
	strip cowloop-$(VERSION)/cowdev
	ln -s cowloop-$(VERSION)/cowdev

cowrepair: cowloop-$(VERSION)
	make -C cowloop-$(VERSION) cowrepair
	strip cowloop-$(VERSION)/cowrepair
	ln -s cowloop-$(VERSION)/cowrepair

cowloop-$(VERSION): cowloop-$(VERSION).tar.gz
	tar xzf $<
	#tar xzf cowloop-$(VERSION).tar.gz

cowloop-$(VERSION).tar.gz:
	$(DOWNLODER) $(SITE)/$@

.PHONY: clean realclean
clean:
	rm -f cowdev cowrepair
	rm -rf cowloop-$(VERSION)

realclean: clean
	rm -f cowloop-$(VERSION).tar.gz

=== binsource/cryptsetup-luks/Makefile ===
VERSION = 1.0.1
SITE = http://luks.endorphin.org/source
DOWNLODER = curl -O

LIBDEVMAPPER = ../device-mapper/libdevmapper.so

all: cryptsetup

cryptsetup: cryptsetup-luks-$(VERSION)/Makefile $(LIBDEVMAPPER)
	make -C cryptsetup-luks-$(VERSION)
	cd cryptsetup-luks-$(VERSION)/src && \
	    gcc -O2 cryptsetup.o \
	    -Wl,-Bstatic -lpopt -Wl,-Bdynamic \
	    ../lib/.libs/libcryptsetup.a \
	    ../../$(LIBDEVMAPPER) \
	    -Wl,-Bstatic -luuid -Wl,-Bdynamic \
	    -o ../../cryptsetup
	strip cryptsetup

$(LIBDEVMAPPER):
	make -C $(LIBDEVMAPPER) `basename $(LIBDEVMAPPER)`

cryptsetup-luks-$(VERSION)/Makefile: cryptsetup-luks-$(VERSION)
	cd $< && ./configure --enable-static

cryptsetup-luks-$(VERSION): cryptsetup-luks-$(VERSION).tar.bz2
	tar xjf $<

cryptsetup-luks-$(VERSION).tar.bz2:
	$(DOWNLODER) $(SITE)/$@

.PHONY: clean realclean
clean:
	rm -f cryptsetup
	rm -rf cryptsetup-luks-$(VERSION)

realclean: clean
	rm -f cryptsetup-luks-$(VERSION).tar.bz2

=== binsource/device-mapper/Makefile ===
# versoin 1.01 is required by cryptsetup-luks
#VERSION = 1.02.02
VERSION = 1.01.05
SITE = ftp://sources.redhat.com/pub/dm/
DOWNLODER = curl -O

all: libdevmapper.so dmsetup

libdevmapper.so: device-mapper.$(VERSION)/Makefile
	make -C device-mapper.$(VERSION) lib
	strip device-mapper.$(VERSION)/lib/ioctl/libdevmapper.so
	ln -s device-mapper.$(VERSION)/lib/ioctl/libdevmapper.so ./libdevmapper.so

dmsetup: device-mapper.$(VERSION)/Makefile
	make -C device-mapper.$(VERSION) dmsetup
	strip device-mapper.$(VERSION)/dmsetup/dmsetup
	ln -s device-mapper.$(VERSION)/dmsetup/dmsetup ./dmsetup

device-mapper.$(VERSION)/Makefile: device-mapper.$(VERSION)
	cd $< && ./configure

device-mapper.$(VERSION): device-mapper.$(VERSION).tgz
	tar xzf $<

device-mapper.$(VERSION).tgz:
	$(DOWNLODER) $(SITE)/$@

.PHONY: clean realclean
clean:
	rm -f libdevmapper.so dmsetup
	rm -rf device-mapper.$(VERSION)

realclean: clean
	rm -f device-mapper.$(VERSION).tgz

=== binsource/hwsetup/Makefile ===
VERSION = 1.1-VIVER
SITE = http://debian-knoppix.alioth.debian.org/sources
DOWNLODER = curl -O

KUDZU_DOWNLOAD = kudzu-knoppix_1.1.36-2.tar.gz
KUDZU_DIR = kudzu-1.1.36

# requires pciutils-devel
PCIDIR = {,/usr{,/local}}/lib{64,}

all: hwsetup

hwsetup: libpci.a libkudzu.a kudzu_include
	ln -s ../libkudzu.a hwsetup-$(VERSION)/libkudzu.a
	ln -s ../kudzu_include hwsetup-$(VERSION)/kudzu_include
	ln -s ../libpci.a hwsetup-$(VERSION)/libpci.a
	make -C hwsetup-$(VERSION)
	ln -s hwsetup-$(VERSION)/hwsetup ./hwsetup


libpci.a:
	for dir in $(PCIDIR);do test -f $$dir/libpci.a && ln -s $$dir/libpci.a ./libpci.a || true ;done
	test -f libpci.a

libkudzu.a: $(KUDZU_DIR)
	make -C $(KUDZU_DIR)/ddcprobe lrmi.o
	make -C $(KUDZU_DIR) libkudzu.a
	ln -s $(KUDZU_DIR)/libkudzu.a ./libkudzu.a

kudzu_include: $(KUDZU_DIR)
	ln -s $(KUDZU_DIR) ./kudzu_include

$(KUDZU_DIR): $(KUDZU_DOWNLOAD)
	tar zxf $<

$(KUDZU_DOWNLOAD):
	$(DOWNLODER) $(SITE)/$@


.PHONY: clean realclean
clean:
	rm -f hwsetup
	rm -f libpci.a libkudzu.a kudzu_include
	rm -f hwsetup-$(VERSION)/{libpci.a,libkudzu.a,kudzu_include}
	rm -rf $(KUDZU_DIR)

realclean: clean
	rm -f $(KUDZU_DOWNLOAD)

=== binsource/mdadm/Makefile ===
VERSION = 1.9.0
SITE = http://neilb.web.cse.unsw.edu.au/source/mdadm
DOWNLODER = curl -O
CC=gcc-3.3.6

all: mdadm

mdadm: mdadm-$(VERSION)
	make -C mdadm-$(VERSION) CC=$(CC)
	strip mdadm-$(VERSION)/mdadm
	ln -s mdadm-$(VERSION)/mdadm ./mdadm

mdadm-$(VERSION): mdadm-$(VERSION).tgz
	tar zxf $<

mdadm-$(VERSION).tgz:
	$(DOWNLODER) $(SITE)/$@

.PHONY: clean realclean
clean:
	rm -f mdadm
	rm -rf mdadm-$(VERSION)

realclean: clean
	rm -rf mdadm-$(VERSION).tgz

=== binsource/nbd/Makefile ===
VERSION = 2.8.3
SITE = http://jaist.dl.sourceforge.net/sourceforge/nbd/
DOWNLODER = curl -O

CONFIGURE_FLAGS = --disable-syslog
SERVER_MAKE_FLAGS = nbd_server_LDADD="-Wl,-Bstatic -lglib-2.0 -Wl,-Bdynamic"
CLIENT_MAKE_FLAGS = CC="diet gcc" CFLAGS="-O2 -static"

all: nbd-server nbd-client

nbd-server: nbd-$(VERSION)/config.h
	make -C nbd-$(VERSION) $(SERVER_MAKE_FLAGS) nbd-server
	strip nbd-$(VERSION)/nbd-server
	ln -s nbd-$(VERSION)/nbd-server

nbd-client: nbd-$(VERSION)/config.h
	make -C nbd-$(VERSION) $(CLIENT_MAKE_FLAGS) nbd-client
	strip nbd-$(VERSION)/nbd-client
	ln -s nbd-$(VERSION)/nbd-client

nbd-$(VERSION)/config.h: nbd-$(VERSION)
	cd nbd-$(VERSION) && ./configure $(CONFIGURE_FLAGS)

nbd-$(VERSION): nbd-$(VERSION).tar.bz2
	tar xjf $<

nbd-$(VERSION).tar.bz2:
	$(DOWNLODER) $(SITE)/$@

.PHONY: clean realclean
clean:
	rm -f nbd-server nbd-client
	rm -rf nbd-$(VERSION)

realclean: clean
	rm -f nbd-$(VERSION).tar.bz2

=== binsource/shfs/Makefile ===
VERSION = 0.35
SITE = http://jaist.dl.sourceforge.net/sourceforge/shfs
DOWNLODER = curl -O

all: shfsmount

shfsmount: shfs-$(VERSION)
	make -C shfs-$(VERSION)/shfsmount shfsmount
	strip shfs-$(VERSION)/shfsmount/shfsmount
	ln -s shfs-$(VERSION)/shfsmount/shfsmount ./shfsmount

shfs-$(VERSION): shfs-$(VERSION).tar.gz
	tar zxf $<

shfs-$(VERSION).tar.gz:
	$(DOWNLODER) $(SITE)/$@

.PHONY: clean realclean
clean:
	rm -f shfsmount
	rm -rf shfs-$(VERSION)

realclean: clean
	rm -rf shfs-$(VERSION).tar.gz

=== binsource/sysvinit/Makefile ===
VERSION = 2.86
SITE = ftp://ftp.cistron.nl/pub/people/miquels/sysvinit
DOWNLODER = curl -O

CC="diet gcc"
CFLAGS="-Wall -O2 -fomit-frame-pointer -D_GNU_SOURCE -DUTMP_FILE=\"\\\"/var/run/utmp\\\"\" -DWTMP_FILE=\"\\\"/var/run/utmp\\\"\""

all: init

init: sysvinit-$(VERSION)
	make -C sysvinit-$(VERSION)/src init CC=$(CC) CFLAGS=$(CFLAGS)
	ln -s sysvinit-$(VERSION)/src/init ./init

sysvinit-$(VERSION): sysvinit-$(VERSION).tar.gz
	tar zxf $<

sysvinit-$(VERSION).tar.gz:
	$(DOWNLODER) $(SITE)/$@

.PHONY: clean realclean
clean:
	rm -f init
	rm -rf sysvinit-$(VERSION)

realclean: clean
	rm -rf sysvinit-$(VERSION).tar.gz

=== binsource/udev/Makefile ===
VERSION = 081
SITE = ftp://www.kernel.org/pub/linux/utils/kernel/hotplug
DOWNLODER = curl -O

all: udev

udev: udev-$(VERSION)
	make -C udev-$(VERSION) udev
	ln -s udev-$(VERSION)/udev ./udev

udev-$(VERSION): udev-$(VERSION).tar.bz2
	tar jxf $<

udev-$(VERSION).tar.bz2:
	$(DOWNLODER) $(SITE)/$@

.PHONY: clean realclean
clean:
	rm -f udev
	rm -rf udev-$(VERSION)

realclean: clean
	rm -rf udev-$(VERSION).tar.bz2

=== debian/changelog ===
kudzu-knoppix (1.1.36-2) unstable; urgency=low

  * Removed autoloading of firewire modules
  * Changes Package name to kudzu-knoppix

 -- root <root@Knoppix>  Thu, 15 Jan 2004 06:04:43 +0100

kudzu (1.1.36-1) unstable; urgency=low

  * new upstream from 2003-11-02
  * updated Standards-Version

 -- Noèl Köthe <noel@debian.org>  Sun,  9 Nov 2003 14:15:00 +0100

kudzu (1.1.3-7) unstable; urgency=low

  * working on hppa problem 

 -- Noel Koethe <noel@debian.org>  Mon,  8 Sep 2003 18:50:00 +0200

kudzu (1.1.3-6) unstable; urgency=low

  * fixed a buildd problem with python (2.2->2.3)
  * removed empty /etc/sysconfig from package
    (closes: Bug#199260)

 -- Noel Koethe <noel@debian.org>  Sun,  7 Sep 2003 21:02:00 +0200

kudzu (1.1.3-5) unstable; urgency=low

  * trying to make package for all archs

 -- Noel Koethe <noel@debian.org>  Sun,  7 Sep 2003 13:22:00 +0200

kudzu (1.1.3-4) unstable; urgency=low

  * default python version changed from 2.2 to 2.3
  * updated Standards-Version

 -- Noel Koethe <noel@debian.org>  Sat,  9 Aug 2003 09:49:00 +0200

kudzu (1.1.3-3) unstable; urgency=low

  * rebuild against new libnewt-dev
    (closes: Bug#197087)

 -- Noel Koethe <noel@debian.org>  Sat, 28 Jun 2003 14:00:00 +0200

kudzu (1.1.3-2) unstable; urgency=low

  * correct build-deps to python2.2-dev
    (closes: Bug#193070)

 -- Noel Koethe <noel@debian.org>  Wed, 14 Mai 2003 08:46:00 +0100

kudzu (1.1.3-1) unstable; urgency=low

  * new upstream from 2003-04-17
    (closes: Bug#174838)
  * python2.2 is now used
    (closes: Bug#182458)
  * fixed localisation location
    (closes: Bug#177038)
  * removed note that it doesn't run on each boot
    (closes: Bug#185659)

 -- Noel Koethe <noel@debian.org>  Fri, 25 Apr 2003 19:54:00 +0100

kudzu (0.99.66-2) unstable; urgency=low

  * corrected dependency from python-dev to python2.1-dev
    (closes: Bug#162560)

 -- Noel Koethe <noel@debian.org>  Sun, 29 Sep 2002 09:48:00 +0200

kudzu (0.99.66-1) unstable; urgency=low

  * new upstream version from 2002-08-28
    (closes: Bug#155253)

 -- Noel Koethe <noel@debian.org>  Sat, 14 Sep 2002 13:40:00 +0200

kudzu (0.99.52-1) unstable; urgency=low

  * new upstream version from 2002-04-17

 -- Noel Koethe <noel@debian.org>  Sun, 11 May 2002 14:58:00 +0200

kudzu (0.99.50-3) unstable; urgency=low

  * changed section from misc to utils
    (closes: Bug#145099)

 -- Noel Koethe <noel@debian.org>  Thu,  9 May 2002 22:35:00 +0200

kudzu (0.99.50-2) unstable; urgency=low

  * working on making kudzu available for more archs

 -- Noel Koethe <noel@debian.org>  Mon, 29 Apr 2002 20:21:00 +0200

kudzu (0.99.50-1) unstable; urgency=medium

  * new upstream version from 2002-04-08

 -- Noel Koethe <noel@debian.org>  Tue, 23 Apr 2002 13:15:00 +0200

kudzu (0.99.49-1) unstable; urgency=low

  * new upstream version from 2002-03-03
    (closes: Bug#133549)
  * upstream splitted the kudzu package into kudzu and hwdata
    (http://packages.debian.org/hwdata)
  * added upstream changelog entries from .spec to Debian
    package
  * added kudzu homepage (http://rhlinux.redhat.com/kudzu/)
    to copyright and the description in control
  * change description to the orginal description from
    redhat.

 -- Noel Koethe <noel@debian.org>  Tue, 12 Feb 2002 13:50:00 +0100

kudzu (0.99.45-1) unstable; urgency=low

  * new upstream version from 2002-01-16
    (closes: Bug#129043)
    (closes: Bug#129695)
  * upstream corrected my following reported bug
    https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=56527
  * upstream corrected pci.c so that the knoppix patch
    isn't needed anymore
    https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=56773
  * updated mandrake pcitable to version 1.96 from
    http://www.linux-mandrake.com/cgi-bin/cvsweb.cgi/soft/ldetect-lst/lst/pcitable

 -- Noel Koethe <noel@debian.org>  Thu, 17 Jan 2002 17:15:00 +0100

kudzu (0.99.40-7) unstable; urgency=low

  * fixed error when copying pcitable.
    It was named pcitable-merge instead of pcitable
    (closes: Bug#127429)

 -- Noel Koethe <noel@debian.org>  Sat,  5 Jan 2002 19:59:00 +0100

kudzu (0.99.40-6) unstable; urgency=low

  * kudzu ddcprobe bins only works on i386
    I set the arch to only i386. Maybe I will move the ddcprobe
    binaries to an extra package

 -- Noel Koethe <noel@debian.org>  Mon, 24 Dec 2001 20:00:00 +0100

kudzu (0.99.40-5) unstable; urgency=low

  * corrected archs where kudzu makes sense
    (closes: Bug#121618)
  * added missing programms from ddcprobe directory

 -- Noel Koethe <noel@debian.org>  Fri, 22 Dec 2001 13:44:00 +0100

kudzu (0.99.40-4) unstable; urgency=low

  * add missing directory /etc/sysconfig where kudzu
    places its configuration files
    (closes: Bug#125896)
  * merge the pcitable of redhat and mandrake together and
    put this into kudzu-common
  * corrected debian/control to get a correct handling
    when switch between kudzu-common and kudzu-common-knoppix

 -- Noel Koethe <noel@debian.org>  Thu, 20 Dec 2001 14:44:00 +0100

kudzu (0.99.40-3) unstable; urgency=low

  * corrected minor spelling error in debian/controll
    (closes: Bug#124851)

 -- Noel Koethe <noel@debian.org>  Mon, 17 Dec 2001 23:56:01 +0100

kudzu (0.99.40-2) unstable; urgency=low

  * to have a datafile from redhat or mandrake doesn't make sense
    because we only want hardware detection and it doesn't interest
    us which hardware db we use.
    I will merge the redhat and mandrake and filter the entries which
    are twice in the list.
    There is a kudzu-common-knoppix which have so special changes
    for the knoppix live cd (www.knoppix.de)
  * added a missing -fpic in Makefile which should repair #121618
    (will close the bug if it really works)

 -- Noel Koethe <noel@debian.org>  Sun, 16 Dec 2001 17:43:00 +0100

kudzu (0.99.40-1) unstable; urgency=low

  * new upstream version from:
    ftp://ftp.redhat.com/pub/redhat/linux/rawhide/SRPMS/SRPMS/
  * moved -common to -data and provides now the original


=== debian/control ===
Source: kudzu-knoppix
Section: utils
Priority: optional
Maintainer: Noèl Köthe <noel@debian.org>
Build-Depends: debhelper (>> 3.0.0), pciutils-dev, python2.3-dev, libnewt-dev, libpopt-dev, gettext, perl, dietlibc-dev
Standards-Version: 3.6.1

Package: kudzu-knoppix
Provides: kudzu, kudzu-knoppix
Architecture: any
Depends: ${shlibs:Depends}, hwdata, python
Description: The Red Hat Linux hardware probing tool.
 This is a hardware probing tool run at system boot time to determine
 what hardware has been added or removed from the system.
 .
 http://rhlinux.redhat.com/kudzu/

Package: kudzu-knoppix-dev
Provides: kudzu-dev, kudzu-knoppix-dev
Section: devel
Architecture: any
Depends: ${shlibs:Depends}, hwdata, kudzu
Description: Hardware detecting library
 This is the hardware autodetection & configuration tool, originally
 introduced in Red Hat Linux 6.1. It detects changes in the system's
 hardware configuration, and gives the option of configuring
 added or removed devices.
 .
 This package contains the header files and the staticlibs.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

ARCH ?= $(shell dpkg --print-architecture)

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	# dccprobe/vesa stuff only works on i386
	#if [ $(ARCH) = i386 ]; then \
	#	cd ddcprobe && $(MAKE) ; \
	#fi

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	rm -f *.do

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/kudzu.

	# kudzu
	mkdir -p $(CURDIR)/debian/kudzu-knoppix/usr/lib/python2.3/site-packages
	cp python2.3/_kudzumodule.so $(CURDIR)/debian/kudzu-knoppix/usr/lib/python2.3/site-packages/
	cp kudzu.py $(CURDIR)/debian/kudzu-knoppix/usr/lib/python2.3/site-packages/
	# LC_ files
	-for i in `ls po/*.mo`; do \
		l=`echo $$i|sed -e "s/po\/\(.*\)\.mo/\1/"`; \
		mkdir -p $(CURDIR)/debian/kudzu-knoppix/usr/share/locale/$$l/LC_MESSAGES/; \
		cp $$i $(CURDIR)/debian/kudzu-knoppix/usr/share/locale/$$l/LC_MESSAGES/kudzu.mo; \
	done
	#cp po/*.mo $(CURDIR)/debian/kudzu-knoppix/usr/share/locale/kudzu/LC_MESSAGES/
	mkdir -p $(CURDIR)/debian/kudzu-knoppix/usr/sbin
	cp kudzu $(CURDIR)/debian/kudzu-knoppix/usr/sbin/
	cp updfstab $(CURDIR)/debian/kudzu-knoppix/usr/sbin/
	cp module_upgrade $(CURDIR)/debian/kudzu-knoppix/usr/sbin/
	mkdir -p $(CURDIR)/debian/kudzu-knoppix/usr/share/man/man8
	cp *.8 $(CURDIR)/debian/kudzu-knoppix/usr/share/man/man8/

	# kudzu-vesa
	#if [ $(ARCH) = i386 ]; then \
	#	cp ddcprobe/ddcprobe $(CURDIR)/debian/kudzu-vesa/usr/sbin/ ; \
	#	cp ddcprobe/ddcxinfo $(CURDIR)/debian/kudzu-vesa/usr/sbin/ ; \
	#	cp ddcprobe/modetest $(CURDIR)/debian/kudzu-vesa/usr/sbin/ ; \
	#	cp ddcprobe/svgamodes $(CURDIR)/debian/kudzu-vesa/usr/sbin/ ; \
	#fi

	# kudzu-dev
	mkdir -p $(CURDIR)/debian/kudzu-knoppix-dev/usr/include/kudzu
	cp *.h $(CURDIR)/debian/kudzu-knoppix-dev/usr/include/kudzu/
	mkdir -p $(CURDIR)/debian/kudzu-knoppix-dev/usr/lib
	cp libkudzu.a $(CURDIR)/debian/kudzu-knoppix-dev/usr/lib/
	cp libkudzu_loader.a $(CURDIR)/debian/kudzu-knoppix-dev/usr/lib/

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
